RelayAPI

Update conversation status, labels, or priority

PATCH
/v1/inbox/conversations/{id}
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Conversation ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://api.relayapi.dev/v1/inbox/conversations/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "conversation": {
    "id": "string",
    "platform": "twitter",
    "type": "comment_thread",
    "account_id": "string",
    "participant_name": "string",
    "participant_avatar": "string",
    "participant_metadata": null,
    "status": "open",
    "assigned_user_id": "string",
    "priority": "string",
    "labels": [
      "string"
    ],
    "unread_count": 0,
    "message_count": 0,
    "last_message_text": "string",
    "last_message_at": "string",
    "last_message_direction": "string",
    "created_at": "string",
    "updated_at": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo